/**
 * \addtogroup Kboard
 * @{
 */

/*****************************************************************************/
/**
 * \file Kboard.h
 * 4 x 4 keyboard routines for 8051 and Keil C51.
 * \author Copyright (c) 2005, Murray R. Van Luyn. <vanluynm@iinet.net.au>
 * \version 0.2
 * \date 13-07-05
 */
/*****************************************************************************/

/*****************************************************************************
 *
 *     THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
 *     OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 *     ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 *     DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 *     DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 *     GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 *     INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *     WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *     NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 ******************************************************************************/

#ifndef KBOARD_H
#define KBOARD_H

#include "REG51.h"
#include "Delay.h"
#include "Lcd.h"
#include <intrins.h>
 
/*****************************************************************************
 *
 *                               Constant Definitions.
 *
 *****************************************************************************/

/** 
 * Hardware keyboard port assignment.
 * Adjust \b KEYPORT to match hardware.
 * \hideinitializer
 */
#define KEYPORT P0

/*
 * idkey() return this when no key is pressed.
 */
#define NOKEY   16


/*****************************************************************************
 *
 *                           Public Function Prototypes.
 *
 *****************************************************************************/

//extern char _getkey(void);  // defined in stdio.h

/** 
 * 4 x 4 keyboard initialisation function.
 * \param -
 * \return -
 */
extern void kboard_init(void);

#endif

/** @} */
